[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadList.LockList

Locks the list for exclusive access.

## Declaration

Source position: classesh.inc line 368

`public function TThreadList.LockList: TList;`

## Description

LockList locks the list for exclusive access. Locklist uses an internal critical section, so all rules for multiple locking of critical sections apply to locklist/unlocklist as well.

## See also

Clear |  | Removes all emements from the list.
Add |  | Adds an element to the list.
Remove |  | Removes an item from the list.
UnlockList |  | Unlocks the list after it was locked.

Documentation generated on: Feb 26 2014